body {
  margin: 0;
  /* height: 100%; */
  /* overflow: auto; */
  /* height: 100%;
    overflow: auto; */
}

.no-interaction {
  pointer-events: none;
}

::-webkit-scrollbar {
  display: none;
}

.paper {
  display: flex;
  flex-direction: column;
  width: 1024px;
  max-width: 1024px;
  /* Ensure content stays above the watermark */
  /* padding-bottom: 50px; */
}

.title-container {
  width: 1024px;
  padding: 0 33px;
  box-sizing: border-box;
  /* background: red; */
}

.title-wrap {
  width: 100%;
  padding: 26px 0 15px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  border-bottom: 2px dashed #9D9EA5;
}

.title-wrap-left {}

.title-wrap-top-right {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.top-right-text {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  font-family: PingFangSC, PingFang SC;
  font-weight: 500;
  font-size: 15px;
  color: #9899A1;
}

.top-right-text text {
  /* line-height: 24px; */
}

.arr-img {
  margin-left: 12px;
}

.qr-img {
  margin-left: 12px;
}

.paper-title {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 38px 0 30px;
  width: 100%;
  font-family: PingFangSC, PingFang SC;
  font-weight: 600;
  font-size: 29px;
  color: #333333;
}

/* .container-wrap {
      display: flex;
      flex-direction: column;
      width: 100%;
      word-wrap: break-word;
      word-break: break-all;
      max-width: 1024px;
      overflow-x: hidden;
    } */
.content-wrap {
  display: flex;
  flex-direction: column;
  width: 100%;
  word-wrap: break-word;
  word-break: break-all;
  /* width: 958px; */
  max-width: 1024px;
  overflow-x: hidden;
}

/* 错题 */
.serial {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  padding: 0 33px 0;
  box-sizing: border-box;
  margin-top: 33px;
}

.serial-title {
  font-family: PingFangSC, PingFang SC;
  font-weight: 500;
  font-size: 21px !important; 
  color: #333333;
  /* line-height: 21px; */
  text-align: left;
}

/* 相似题 */
.serial-similar {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
  padding: 0 33px 0;
  box-sizing: border-box;
  margin-top: 33px;
}

.serial * {
  /* font-size: inherit; */
  /* Ensure child elements inherit font size */
}

.serial-similar * {
  /* font-size: inherit; */
  /* Ensure child elements inherit font size */
}

.count-wrap {
  display: flex;
  flex-direction: row;
}

.count-wrap-item {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
	font-size: 21px !important; 
  color: #9899A1;
  /* line-height: 21px; */
  text-align: left;
  font-style: normal;
}

.count-wrap-item-left {
  margin-left: 13px;
}

.difficulty {
  font-family: PingFangSC, PingFang SC;
  font-weight: 500;
  font-size: 21px;
  color: #36363A;
  /* line-height: 21px; */
  margin-right: 6px;
  margin-left: 41px;
}

.dificulty-star {
  /* margin-top: 3px; */
  all: unset;
  font-size: 21px; /* 重新定义字号 */
}

.mistake_box {
  width: 100%;
  position: relative;

}

.select-box {
  width: 100%;
  display: flex;
  flex-direction: column;
  margin-top: 15px;
}

.select-item {
  text-align: justify;
  word-break: break-all;
  margin-bottom: 5px;
  font-weight: 400;
  /* font-size: 23px; */
  color: #36363A;
}

/* p {
      -webkit-margin-before: 0;
      -webkit-margin-after: 0;
    } */

.question-wrap {
  width: 100%;
  box-sizing: border-box;
  padding: 0 33px 0;
  margin-top: 20px;
  font-weight: 400;
  /* font-size: 23px; */
  color: #36363A;
}

.question-wrap-no-split {
  width: 100%;
  box-sizing: border-box;
  padding: 0 33px 0;
  margin-top: 20px;
  font-weight: 400;
  /* font-size: 23px; */
  color: #36363A;
}

.question-wrap img {
  max-width: 100%;
  max-height: 100%;
}

span {
  text-overflow: ellipsis;
  white-space: normal;
}

table {
  max-width: 958px !important;
  table-layout: fixed;
}

th,
td {
  max-width: 480px !important;
  overflow-x: hidden;
}

th,
td span {
  max-width: 480px;
  text-overflow: ellipsis;
  white-space: normal;
}

td::before {
  content: " ";
  font-size: 0; /* 忽略字号对空格的影响 */
}

.cacl-item {
  display: flex;
  flex-direction: row;
  word-wrap: normal;
  word-break: normal;
  flex-wrap: wrap;
  align-items: center;
}


.cacl-item del {
  display: inline;
  /* 确保 del 标签为行内元素 */
  /* white-space: nowrap;  */
}

.jy-calc-wrap {
  width: 100%;
  font-weight: 400;
  /* font-size: 34px; */
  margin-top: 34px;
  box-sizing: border-box;
  padding: 0 33px 0;
  display:flex;
  flex-wrap: wrap
}

.jy-combine-question {
  display: flex;
  flex-direction: column;
}

.jy-line-out-wrap {
  display: flex;
  flex-direction: column;
}

.jy-line-wrap {
  width: 100%;
  font-weight: 400;
  margin-top: 34px;
  box-sizing: border-box;
  padding: 0 33px 0;
  display:flex;
  flex-wrap: wrap;
}

.line-item {
  display: flex;
  flex-direction: row;
  word-wrap: normal;
  word-break: normal;
  flex-wrap: wrap;
  align-items: center;
}

.answer-and-analysis-wrap {
  display: flex;
  flex-direction: column;
}

#watermark-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  max-width: 1024px;
  overflow-x: hidden;
  pointer-events: none;
  /* Make watermarks non-interactive */
  z-index: -999;
  /* Ensure watermarks are below other content */
}

.watermark {
  position: absolute;
  /* opacity: 0.1; */
  /* Adjust the transparency of the watermark */
  transform: rotate(-30deg);
  /* Rotate the watermark image */
  user-select: none;
  /* Prevent text selection */
  -webkit-user-drag: none;
  /* Prevent image dragging */
}


.nowrap {
  white-space: nowrap;
}

.star-img {
  width: 16px; /* 根据需要设置 */
  height: auto; /* 保持比例 */
  object-fit: contain;
}